import * as React from 'react';
import { MobXProviderContext } from 'mobx-react';
import useMobStore from './useMobStore';
import { useSetState } from './useSetState';

export default (name: string) => {
  return React.useContext(MobXProviderContext)[name];
};

export { useMobStore, useSetState };
